2

Drupal is giving me an error that looks like the schema is out of date. I've run 'upgrade' and there is no tasks outstanding.

How do I fix these

Mismatched entity and/or field definitions
The following changes were detected in the entity type and field definitions.

CiviCRM Activity

  The Is GOTV? field needs to be installed.

CiviCRM Event

  The Is qr code used for this Event? field needs to be installed.

CiviCRM Participant

  The Public key field needs to be installed.
  The QR Event id field needs to be installed.
  The Qr hash code field needs to be installed.
  The QR image url field needs to be installed.
  The Bio field needs to be installed.
4

1 Answer 1

3

Most likely this was caused by the civicrm entity module. To fix

  • Check that the CiviCRM database is upgraded https://site/civicrm/upgrade?reset=1.
  • Reset the drupal caches drush cr
  • Run the drupal upgrade https://site/update.php
  • Check the drupal status report page https://site/admin/reports/status for entities out of date
  • Uninstall the civicrm_entity module drush pm:uninstall civicrm_entity
  • Reinstall civicrm_entity drush en -y civicrm_entity
  • Clear caches again drush cr
  • Check the status report page again.

There is an entity updates module that may let you run drush entup although it is only recommended for development sites.

1
  • Many thanks @Interlated, those stepped worked for me even though I had no upgrades pending. I didn't need to uninstall/re-install CE
    – Ben
    Feb 15 at 9:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.